> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Move a table into or out of a folder

> Move a table into a folder, or remove it from its current folder.

Pass `folder_id: null` (or omit it) to remove the table from any folder.



## OpenAPI

````yaml POST /v1/folders/move-table
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/folders/move-table:
    post:
      tags:
        - Folder
      summary: Move a table into or out of a folder
      description: |-
        Move a table into a folder, or remove it from its current folder.

        Pass `folder_id: null` (or omit it) to remove the table from any folder.
      operationId: Move_table_to_folder_v1_folders_move_table_post
      parameters:
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MoveTableRequest'
      responses:
        '200':
          description: Table moved successfully
          content:
            application/json:
              schema: {}
        '404':
          description: Table or folder not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MoveTableRequest:
      properties:
        table_uuid:
          type: string
          format: uuid
          title: Table Uuid
          description: UUID of the table to move.
        folder_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Folder Id
          description: >-
            ID of the target folder. Pass null or omit to remove the table from
            its current folder.
      type: object
      required:
        - table_uuid
      title: MoveTableRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````